Get a fiat deposit account
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"fiat_deposit_account": {
"id": "<string>",
"wallet_id": "<string>",
"provider": "bridge",
"environment": "sandbox",
"status": "activated",
"source": {
"currency": "<string>",
"payment_rails": [
"<string>"
]
},
"destination": {
"asset": "<string>",
"chain": "<string>"
},
"developer_fee_percent": "1.5",
"deposit_instructions": {
"bank_name": "<string>",
"bank_address": "<string>",
"bank_account_number": "<string>",
"bank_routing_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"iban": "<string>",
"bic": "<string>",
"clabe": "<string>",
"br_code": "<string>",
"account_number": "<string>",
"sort_code": "<string>",
"bre_b_key": "<string>",
"account_holder_name": "<string>",
"deposit_message": "<string>",
"payment_rails": [
"<string>"
]
},
"created_at": "<string>"
}
}Fiat
Get fiat deposit account
Returns a single fiat deposit account linked to a wallet.
GET
/
v1
/
wallets
/
{wallet_id}
/
deposit_accounts
/
fiat
/
{deposit_account_id}
Get a fiat deposit account
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat/{deposit_account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"fiat_deposit_account": {
"id": "<string>",
"wallet_id": "<string>",
"provider": "bridge",
"environment": "sandbox",
"status": "activated",
"source": {
"currency": "<string>",
"payment_rails": [
"<string>"
]
},
"destination": {
"asset": "<string>",
"chain": "<string>"
},
"developer_fee_percent": "1.5",
"deposit_instructions": {
"bank_name": "<string>",
"bank_address": "<string>",
"bank_account_number": "<string>",
"bank_routing_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"iban": "<string>",
"bic": "<string>",
"clabe": "<string>",
"br_code": "<string>",
"account_number": "<string>",
"sort_code": "<string>",
"bre_b_key": "<string>",
"account_holder_name": "<string>",
"deposit_message": "<string>",
"payment_rails": [
"<string>"
]
},
"created_at": "<string>"
}
}Authorizations
Path Parameters
Was this page helpful?

